<h1><%=t ['Úprava transakce', 'Editing transfer'] %></h1>

<%= form_tag  transfer_path(@transfer), :method=>:put, :multipart=>true  do |f| %>
  <%= render :partial => 'form', :locals=> {:include_blank => true} %>
  <fieldset>
    <legend><%=t ['akce','actions'] %></legend>
    <ol>
      <li><label>&nbsp;</label><%= submit_tag t(['ulož změny', 'submit changes']) %></li>
    </ol>
  </fieldset>
<% end %>

<%= form_tag  transfer_path(@transfer), :method=>:put, :multipart=>true  do |f| %>
  <fieldset>
    <legend><%=t ['akce','actions'] %></legend>
    <ol>
      <li>
        <label>&nbsp;</label>
        <%= link_to t(['vytvoř','new']), new_transfer_path(transfer: { id_account_from: @pow_account }) %> 
        <%= link_to t(['duplikuj','duplicate']), duplicate_transfer_path(@transfer), :method=>'post'  %> 
        <%= link_to t(['smaž', 'destroy']), @transfer, :method=>:delete, :confirm => 'Are you sure?' %>
        <%= t(['transakci', 'transfer']) %>
        | <%= link_to t(['prohlížej účet ', 'view '])+@pow_account.popis.to_s+ t(['',' register']), account_path(@pow_account) %>
        | <%= link_to t(['více','more magic']), '#',{:id=>'expander'} %>
      </li>
      <li><label>&nbsp;</label>
        <span style="border:1px dashed gray" id="att_dropzone" class="fade dropzone">docs dropdown</span>
      </li>
    </ol>
  </fieldset>
<% end %>

<!-- advanced magic =============================================== -->


<fieldset class="magic_fieldset" id="mf2" class="do">
  <legend><%=t ['vyšší dívčí','advanced magic'] %></legend>
  <%= form_tag({:action => 'existing_document_attach', :id => @transfer.id}) do %>
    <p><label><%=t ['Přilož existující dokument:','Attach existing document:'] %></label>
    <%
      if session['last_attached_document_id'].nil?
        @document = nil
      else
        @document = Document.find(session['last_attached_document_id']) rescue @document = nil
      end
    %>
    <%= collection_select(:document, 'id', @documents, :id, :filename )  %>
    <%= submit_tag "Attach" %></p>
  <% end %>

  <% unless @orphaned_documents.nil? %>
    <%= form_tag({:action => 'orphaned_document_attach', :id => @transfer.id}) do %>
      <p><label><%=t ['Přilož orphaned:','Attach orphaned:'] %></label>
      <%= collection_select(:document, 'id', @orphaned_documents, :to_s, :to_s )  %>
      <%= submit_tag "Attach" %></p>
    <% end %>
  <% end %>

  <% if $user == 'gorn' or $user == 'jakub' %>
    <%= form_tag({:action => 'create_from_transfer', :controller=>'templates'}) do %>
      <%= hidden_field 'transfer','id' %>
      <p><label>Create template with name:</label><%= text_field 'template_param','name' %><%= submit_tag "Create template" %></p>
    <% end %>
    
    <%= form_tag({:action => 'update', :id => @transfer}, :method=>:put) do %>
      <p><%= text_field_with_label 'transfer', 'seq2', ['Č. dokladu 2','seq2'] %></p>
      <p><%= lang_label 'transfer', 'epoch_id', ['Epocha', 'Epoch'] %>
         <%= collection_select 'transfer', 'epoch_id', @transfer.owner.epochs, :id, :description %>
      </p>
      <p><%= lang_label 'transfer', 'default_epoch', ['defaultní?', 'default?'] %>
         <%= check_box 'transfer', 'default_epoch' %>
      </p>
      <p><%= lang_label 'transfer', 'michailed', ['michailed?', 'michailed?'] %>
         <%= check_box 'transfer', 'michailed' %>
      </p>
      <p><label>&nbsp;</label><%= submit_tag t(['ulož změny', 'submit changes']) %></p>
    <% end %>
  <% end %>
</fieldset>

<style type="text/css">
  #mf2 label { width:17em }
  #mf2 {display:none}
  
  /* droppable documents  */
  .bar {
      height: 2px;
      background: green;
  }
  .dropzone.hover {
      background: red;
  }
  .dropzone.fade {
      -webkit-transition: all 0.3s ease-out;
      -moz-transition: all 0.3s ease-out;
      -ms-transition: all 0.3s ease-out;
      -o-transition: all 0.3s ease-out;
      transition: all 0.3s ease-out;
      opacity: 1;
  }

</style>

<script>
  $(function () {
//     $('#att_dropzone').fileupload(
//       'option', {
//         dropZone: '#att_dropzone',
//         url: '/transfers/<%= @transfer.id %>'
//       }
//     );
    $("#expander").click(function(ev){ 
      $("#mf2").toggle('slow'); 
      $('html,body').animate({scrollTop: $("#mf2").offset().top}, 'slow');
      ev.preventDefault();
    });
  });
</script>

<div id="progress"><div class="bar" style="width: 0%;"></div></div>